﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Management.Automation;
using System.Diagnostics;
using FooTheory.PowerShell.CommandLets;

namespace DF.PowerShell.Cmdlets
{
    [Cmdlet(VerbsCommon.Get, "GoogleGeocode")]
    public class GetGoogleGeocode : Cmdlet
    {
        protected override void ProcessRecord()
        {
            foreach (var address in Addresses)
            {
                WriteObject(Geocode.GetCoordinates(ApiKey, address)); 
            }
        }

        [Parameter(
                Mandatory=true, 
                ValueFromPipelineByPropertyName=true, 
                HelpMessage="The API Key from Google Maps API"            )]
        [ValidateNotNullOrEmpty]
        public string ApiKey
        {
            get; set; 
        }

        [Parameter(
            Mandatory=true,
            ValueFromPipelineByPropertyName=true, 
            HelpMessage="A comma separated list of addreses to geocode.")]
        [ValidateNotNullOrEmpty]
        public string[] Addresses
        {
            get; set; 
        }
    }
}
